Subject: Re: bug#73928: Bug#1080330: coreutils: who no longer works

From: Arsen Arsenović <[email-masked]>
Date: Wed, 19 Feb 2025 18:41:02 +0100

Paul Eggert <[email-masked]> writes:

> On 2025-02-19 03:26, Arsen Arsenović wrote:
>> The case for or against there being a user called 'gdm' when one
>> installs a Fedora system is one best presented to the Fedora hackers
>
> It's not just Fedora, it's also Ubuntu. Both systems have pseudousers named
> "gdm" that cannot log in (their login shell is /bin/false or /sbin/nologin),
> but which "who" would report with systemd. I assume other distros have similar
> problem.
>
> A simple fix is for "who" to silently filter out anybody named "gdm". (Sorry,
> Giovanni.)
>
> Is there a better way to distinguish real logins from fake ones?

I see these as real: they (gdm) are a user and they have a session.
Adding additional filtration can only confuse admins who compare 'who'
and other tools.
-- 
Arsen Arsenović